Index: asp3_wo_tecs/trunk/extension/messagebuf/kernel/kernel_sym.def
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/kernel/kernel_sym.def	(revision 306)
+++ asp3_wo_tecs/trunk/extension/messagebuf/kernel/kernel_sym.def	(revision 306)
@@ -0,0 +1,149 @@
+USE_EXTERNAL_ID,true,bool,defined(USE_EXTERNAL_ID)
+SIL_ENDIAN_BIG,true,bool,defined(SIL_ENDIAN_BIG)
+SIL_ENDIAN_LITTLE,true,bool,defined(SIL_ENDIAN_LITTLE)
+TA_NULL
+TA_ACT
+TA_NOACTQUE
+TA_TPRI
+TA_WMUL
+TA_CLR
+TA_CEILING
+TA_STA
+TA_NONKERNEL
+TA_ENAINT
+TA_EDGE
+TNFY_HANDLER
+TNFY_SETVAR
+TNFY_INCVAR
+TNFY_ACTTSK
+TNFY_WUPTSK
+TNFY_SIGSEM
+TNFY_SETFLG
+TNFY_SNDDTQ
+TENFY_SETVAR
+TENFY_INCVAR
+TENFY_ACTTSK
+TENFY_WUPTSK
+TENFY_SIGSEM
+TENFY_SETFLG
+TENFY_SNDDTQ
+TMIN_TPRI,,signed
+TMAX_TPRI,,signed
+TMIN_DPRI,,signed
+TMAX_DPRI,,signed
+TMIN_ISRPRI,,signed
+TMAX_ISRPRI,,signed
+TBIT_FLGPTN
+TMAX_MAXSEM
+TMAX_RELTIM
+TMIN_INTPRI,,signed
+TMAX_INTPRI,,signed
+TMIN_TSKID,,signed
+TMIN_SEMID,,signed
+TMIN_FLGID,,signed
+TMIN_DTQID,,signed
+TMIN_PDQID,,signed
+TMIN_MTXID,,signed
+TMIN_MBFID,,signed
+TMIN_MPFID,,signed
+TMIN_CYCID,,signed
+TMIN_ALMID,,signed
+USE_TSKINICTXB,true,bool,defined(USE_TSKINICTXB)
+OMIT_INITIALIZE_INTERRUPT,true,bool,defined(OMIT_INITIALIZE_INTERRUPT)
+USE_INHINIB_TABLE,true,bool,defined(USE_INHINIB_TABLE)
+USE_INTINIB_TABLE,true,bool,defined(USE_INTINIB_TABLE)
+OMIT_INITIALIZE_EXCEPTION,true,bool,defined(OMIT_INITIALIZE_EXCEPTION)
+DEFAULT_ISTK,,,defined(DEFAULT_ISTK)
+TARGET_TSKATR,,,defined(TARGET_TSKATR),0
+TARGET_INTATR,,,defined(TARGET_INTATR),0
+TARGET_INHATR,,,defined(TARGET_INHATR),0
+TARGET_ISRATR,,,defined(TARGET_ISRATR),0
+TARGET_EXCATR,,,defined(TARGET_EXCATR),0
+TARGET_MIN_STKSZ,,,defined(TARGET_MIN_STKSZ),1
+TARGET_MIN_ISTKSZ,,,defined(TARGET_MIN_ISTKSZ),1
+CHECK_STKSZ_ALIGN,,,defined(CHECK_STKSZ_ALIGN),1
+CHECK_INTPTR_ALIGN,,,defined(CHECK_INTPTR_ALIGN),1
+CHECK_INTPTR_NONNULL,true,bool,defined(CHECK_INTPTR_NONNULL)
+CHECK_FUNC_ALIGN,,,defined(CHECK_FUNC_ALIGN),1
+CHECK_FUNC_NONNULL,true,bool,defined(CHECK_FUNC_NONNULL)
+CHECK_STACK_ALIGN,,,defined(CHECK_STACK_ALIGN),1
+CHECK_STACK_NONNULL,true,bool,defined(CHECK_STACK_NONNULL)
+CHECK_MPF_ALIGN,,,defined(CHECK_MPF_ALIGN),1
+CHECK_MPF_NONNULL,true,bool,defined(CHECK_MPF_NONNULL)
+sizeof_void_ptr,sizeof(void*)
+sizeof_uint_t,sizeof(uint_t)
+sizeof_size_t,sizeof(size_t)
+sizeof_intptr_t,sizeof(intptr_t)
+sizeof_ID,sizeof(ID)
+sizeof_FP,sizeof(FP)
+sizeof_INTNO,sizeof(INTNO)
+sizeof_INHNO,sizeof(INHNO)
+sizeof_EXCNO,sizeof(EXCNO)
+sizeof_TASK,sizeof(TASK)
+sizeof_TMEHDR,sizeof(TMEHDR)
+sizeof_ISR,sizeof(ISR)
+sizeof_INTHDR,sizeof(INTHDR)
+sizeof_EXCHDR,sizeof(EXCHDR)
+sizeof_INIRTN,sizeof(INIRTN)
+sizeof_TERRTN,sizeof(TERRTN)
+sizeof_NFYHDR,sizeof(NFYHDR)
+sizeof_TINIB,sizeof(TINIB)
+offsetof_TINIB_tskatr,"offsetof(TINIB,tskatr)"
+offsetof_TINIB_exinf,"offsetof(TINIB,exinf)"
+offsetof_TINIB_task,"offsetof(TINIB,task)"
+offsetof_TINIB_ipriority,"offsetof(TINIB,ipriority)"
+offsetof_TINIB_stksz,"offsetof(TINIB,stksz)",,!defined(USE_TSKINICTXB)
+offsetof_TINIB_stk,"offsetof(TINIB,stk)",,!defined(USE_TSKINICTXB)
+sizeof_SEMINIB,sizeof(SEMINIB)
+offsetof_SEMINIB_sematr,"offsetof(SEMINIB,sematr)"
+offsetof_SEMINIB_isemcnt,"offsetof(SEMINIB,isemcnt)"
+offsetof_SEMINIB_maxsem,"offsetof(SEMINIB,maxsem)"
+sizeof_FLGPTN,sizeof(FLGPTN)
+sizeof_FLGINIB,sizeof(FLGINIB)
+offsetof_FLGINIB_flgatr,"offsetof(FLGINIB,flgatr)"
+offsetof_FLGINIB_iflgptn,"offsetof(FLGINIB,iflgptn)"
+sizeof_DTQINIB,sizeof(DTQINIB)
+offsetof_DTQINIB_dtqatr,"offsetof(DTQINIB,dtqatr)"
+offsetof_DTQINIB_dtqcnt,"offsetof(DTQINIB,dtqcnt)"
+offsetof_DTQINIB_p_dtqmb,"offsetof(DTQINIB,p_dtqmb)"
+sizeof_PDQINIB,sizeof(PDQINIB)
+offsetof_PDQINIB_pdqatr,"offsetof(PDQINIB,pdqatr)"
+offsetof_PDQINIB_pdqcnt,"offsetof(PDQINIB,pdqcnt)"
+offsetof_PDQINIB_maxdpri,"offsetof(PDQINIB,maxdpri)"
+offsetof_PDQINIB_p_pdqmb,"offsetof(PDQINIB,p_pdqmb)"
+sizeof_MTXINIB,sizeof(MTXINIB)
+offsetof_MTXINIB_mtxatr,"offsetof(MTXINIB,mtxatr)"
+offsetof_MTXINIB_ceilpri,"offsetof(MTXINIB,ceilpri)"
+sizeof_MBFINIB,sizeof(MBFINIB)
+offsetof_MBFINIB_mbfatr,"offsetof(MBFINIB,mbfatr)"
+offsetof_MBFINIB_maxmsz,"offsetof(MBFINIB,maxmsz)"
+offsetof_MBFINIB_mbfsz,"offsetof(MBFINIB,mbfsz)"
+offsetof_MBFINIB_mbfmb,"offsetof(MBFINIB,mbfmb)"
+sizeof_MPFINIB,sizeof(MPFINIB)
+offsetof_MPFINIB_mpfatr,"offsetof(MPFINIB,mpfatr)"
+offsetof_MPFINIB_blkcnt,"offsetof(MPFINIB,blkcnt)"
+offsetof_MPFINIB_blksz,"offsetof(MPFINIB,blksz)"
+offsetof_MPFINIB_mpf,"offsetof(MPFINIB,mpf)"
+offsetof_MPFINIB_p_mpfmb,"offsetof(MPFINIB,p_mpfmb)"
+sizeof_CYCINIB,sizeof(CYCINIB)
+offsetof_CYCINIB_cycatr,"offsetof(CYCINIB,cycatr)"
+offsetof_CYCINIB_exinf,"offsetof(CYCINIB,exinf)"
+offsetof_CYCINIB_nfyhdr,"offsetof(CYCINIB,nfyhdr)"
+offsetof_CYCINIB_cyctim,"offsetof(CYCINIB,cyctim)"
+offsetof_CYCINIB_cycphs,"offsetof(CYCINIB,cycphs)"
+sizeof_ALMINIB,sizeof(ALMINIB)
+offsetof_ALMINIB_almatr,"offsetof(ALMINIB,almatr)"
+offsetof_ALMINIB_exinf,"offsetof(ALMINIB,exinf)"
+offsetof_ALMINIB_nfyhdr,"offsetof(ALMINIB,nfyhdr)"
+sizeof_INHINIB,sizeof(INHINIB),,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INHINIB_inhno,"offsetof(INHINIB,inhno)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INHINIB_inhatr,"offsetof(INHINIB,inhatr)",,!defined(OMIT_INITIALIZE_INTERRUPT),,
+offset_INHINIB_int_entry,"offsetof(INHINIB,int_entry)",,!defined(OMIT_INITIALIZE_INTERRUPT),,
+sizeof_INTINIB,sizeof(INTINIB),,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INTINIB_intno,"offsetof(INTINIB,intno)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INTINIB_intatr,"offsetof(INTINIB,intatr)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+offset_INTINIB_intpri,"offsetof(INTINIB,intpri)",,!defined(OMIT_INITIALIZE_INTERRUPT)
+sizeof_EXCINIB,sizeof(EXCINIB),,!defined(OMIT_INITIALIZE_EXCEPTION)
+offset_EXCINIB_excno,"offsetof(EXCINIB,excno)",,!defined(OMIT_INITIALIZE_EXCEPTION)
+offset_EXCINIB_excatr,"offsetof(EXCINIB,excatr)",,!defined(OMIT_INITIALIZE_EXCEPTION)
+offset_EXCINIB_exc_entry,"offsetof(EXCINIB,exc_entry)",,!defined(OMIT_INITIALIZE_EXCEPTION)
Index: asp3_wo_tecs/trunk/extension/messagebuf/kernel/kernel_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/kernel/kernel_unrename.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/kernel/kernel_unrename.h	(revision 306)
@@ -116,5 +116,4 @@
  *  messagebuf.c
  */
-#undef mbfhook_dequeue_wobj
 #undef initialize_messagebuf
 #undef enqueue_message
@@ -202,205 +201,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  startup.c
- */
-#undef _kerflg
-#undef _exit_kernel
-
-/*
- *  task.c
- */
-#undef _p_runtsk
-#undef _p_schedtsk
-#undef _enadsp
-#undef _dspflg
-#undef _ready_queue
-#undef _ready_primap
-#undef _initialize_task
-#undef _search_schedtsk
-#undef _make_runnable
-#undef _make_non_runnable
-#undef _make_dormant
-#undef _make_active
-#undef _change_priority
-#undef _rotate_ready_queue
-#undef _task_terminate
-
-/*
- *  taskhook.c
- */
-#undef _mtxhook_check_ceilpri
-#undef _mtxhook_scan_ceilmtx
-#undef _mtxhook_release_all
-#undef _mbfhook_dequeue_wobj
-
-/*
- *  wait.c
- */
-#undef _make_wait_tmout
-#undef _wait_dequeue_wobj
-#undef _wait_complete
-#undef _wait_tmout
-#undef _wait_tmout_ok
-#undef _wobj_make_wait
-#undef _wobj_make_wait_tmout
-#undef _init_wait_queue
-
-/*
- *  time_event.c
- */
-#undef _boundary_evttim
-#undef _current_evttim
-#undef _current_hrtcnt
-#undef _monotonic_evttim
-#undef _systim_offset
-#undef _in_signal_time
-#undef _initialize_tmevt
-#undef _tmevt_up
-#undef _tmevt_down
-#undef _update_current_evttim
-#undef _set_hrt_event
-#undef _tmevtb_register
-#undef _tmevtb_enqueue
-#undef _tmevtb_dequeue
-#undef _check_adjtim
-#undef _tmevt_lefttim
-#undef _signal_time
-
-/*
- *  semaphore.c
- */
-#undef _initialize_semaphore
-
-/*
- *  eventflag.c
- */
-#undef _initialize_eventflag
-#undef _check_flg_cond
-
-/*
- *  dataqueue.c
- */
-#undef _initialize_dataqueue
-#undef _enqueue_data
-#undef _force_enqueue_data
-#undef _dequeue_data
-#undef _send_data
-#undef _force_send_data
-#undef _receive_data
-
-/*
- *  pridataq.c
- */
-#undef _initialize_pridataq
-#undef _enqueue_pridata
-#undef _dequeue_pridata
-#undef _send_pridata
-#undef _receive_pridata
-
-/*
- *  mutex.c
- */
-#undef _initialize_mutex
-#undef _mutex_check_ceilpri
-#undef _mutex_scan_ceilmtx
-#undef _mutex_drop_priority
-#undef _mutex_acquire
-#undef _mutex_release
-#undef _mutex_release_all
-
-/*
- *  messagebuf.c
- */
-#undef _mbfhook_dequeue_wobj
-#undef _initialize_messagebuf
-#undef _enqueue_message
-#undef _dequeue_message
-#undef _send_message
-#undef _messagebuf_signal
-#undef _receive_message
-#undef _messagebuf_dequeue_wobj
-
-/*
- *  mempfix.c
- */
-#undef _initialize_mempfix
-#undef _get_mpf_block
-
-/*
- *  cyclic.c
- */
-#undef _initialize_cyclic
-#undef _call_cyclic
-
-/*
- *  alarm.c
- */
-#undef _initialize_alarm
-#undef _call_alarm
-
-/*
- *  interrupt.c
- */
-#undef _initialize_interrupt
-
-/*
- *  exception.c
- */
-#undef _initialize_exception
-
-/*
- *  kernel_cfg.c
- */
-#undef _initialize_object
-#undef _call_inirtn
-#undef _call_terrtn
-#undef _tmax_tskid
-#undef _tinib_table
-#undef _torder_table
-#undef _tcb_table
-#undef _tmax_semid
-#undef _seminib_table
-#undef _semcb_table
-#undef _tmax_flgid
-#undef _flginib_table
-#undef _flgcb_table
-#undef _tmax_dtqid
-#undef _dtqinib_table
-#undef _dtqcb_table
-#undef _tmax_pdqid
-#undef _pdqinib_table
-#undef _pdqcb_table
-#undef _tmax_mtxid
-#undef _mtxinib_table
-#undef _mtxcb_table
-#undef _tmax_mbfid
-#undef _mbfinib_table
-#undef _mbfcb_table
-#undef _tmax_mpfid
-#undef _mpfinib_table
-#undef _mpfcb_table
-#undef _tmax_cycid
-#undef _cycinib_table
-#undef _cyccb_table
-#undef _tmax_almid
-#undef _alminib_table
-#undef _almcb_table
-#undef _tnum_def_inhno
-#undef _inhinib_table
-#undef _tnum_cfg_intno
-#undef _intinib_table
-#undef _tnum_def_excno
-#undef _excinib_table
-#undef _tmevt_heap
-#undef _istksz
-#undef _istk
-#undef _istkpt
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "target_unrename.h"
 
Index: asp3_wo_tecs/trunk/extension/messagebuf/kernel/messagebuf.trb
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/kernel/messagebuf.trb	(revision 306)
+++ asp3_wo_tecs/trunk/extension/messagebuf/kernel/messagebuf.trb	(revision 306)
@@ -0,0 +1,110 @@
+# -*- coding: utf-8 -*-
+#
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+# 
+#   Copyright (C) 2015 by FUJI SOFT INCORPORATED, JAPAN
+#   Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+# 
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+# 
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+# 
+#   $Id: messagebuf.trb 672 2016-03-05 15:33:08Z ertl-hiro $
+# 
+
+#
+#		ã¡ãã»ã¼ã¸ãããã¡æ©è½ã®çæã¹ã¯ãªãã
+#
+
+class MessagebufObject < KernelObject
+  def initialize()
+    super("mbf", "messagebuf")
+  end
+
+  def prepare(key, params)
+    # ãã©ã¡ã¼ã¿ãçç¥ãããæã®ããã©ã«ãå¤ã®è¨­å®
+    params[:mbfmb] ||= "NULL"
+
+    # mbfatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI3303ï¼½
+    #ï¼TA_NULLã§ãªãå ´åï¼
+    if params[:mbfatr] != $TA_NULL
+      error_illegal_id("E_RSATR", params, :mbfatr, :mbfid)
+    end
+
+    # maxmszã0ã®å ´åï¼E_PARï¼ï¼»NGKI3307ï¼½
+    if params[:maxmsz] == 0
+      error_illegal_id("E_PAR", params, :maxmsz, :mbfid)
+    end
+
+    # mbfmbãNULLã§ãªãå ´åï¼E_NOSPTï¼ï¼»ASPS0205ï¼½
+    if params[:mbfmb] != "NULL"
+      error_illegal_id("E_NOSPT", params, :mbfmb, :mbfid)
+    end
+
+    # ã¡ãã»ã¼ã¸ãããã¡ç®¡çé å
+    if params[:mbfsz] > 0
+      mbfmbName = "_kernel_mbfmb_#{params[:mbfid]}"
+      $kernelCfgC.add("static uint_t #{mbfmbName}" \
+				"[TOPPERS_COUNT_SZ(#{params[:mbfsz]}, sizeof(uint_t))];")
+      params[:mbfinib_mbfmb] = mbfmbName
+    else
+      params[:mbfinib_mbfmb] = "NULL"
+    end
+  end
+
+  def generateInib(key, params)
+    return("(#{params[:mbfatr]}), (#{params[:maxmsz]}), " \
+				"TOPPERS_ROUND_SZ(#{params[:mbfsz]}, sizeof(uint_t)), " \
+				"#{params[:mbfinib_mbfmb]}")
+  end
+end
+
+#
+#  ãã¼ã¿ã­ã¥ã¼ã«é¢ããæ
+å ±ã®çæ
+#
+$kernelCfgC.comment_header("Message Buffer Functions")
+MessagebufObject.new.generate()
Index: asp3_wo_tecs/trunk/extension/messagebuf/test/bit_kernel.c
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/bit_kernel.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/bit_kernel.c	(revision 306)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: bit_kernel.c 53 2014-04-26 18:58:00Z ertl-hiro $
+ *  $Id: bit_kernel.c 741 2016-04-05 15:51:59Z ertl-hiro $
  */
 
@@ -69,4 +69,5 @@
 #include "kernel/mempfix.h"
 #include "kernel/time_event.h"
+#include "kernel/check.h"
 
 /*
@@ -149,9 +150,117 @@
 on_stack(void *addr, const TINIB *p_tinib)
 {
+#ifdef USE_TSKINICTXB
+	/*
+	 *  ãã®é¢æ°ã®å®è£
+ã¯ã¿ã¼ã²ããä¾å­ã«ãªãï¼
+	 */
+	return(true);
+#else /* USE_TSKINICTXB */
 	if (p_tinib->stk <= addr
-				&& addr < (void *)((char *)(p_tinib->stk) + p_tinib->stksz)) {
+			&& addr < (void *)((char *)(p_tinib->stk) + p_tinib->stksz)) {
 		return(true);
 	}
 	return(false);
+#endif /* USE_TSKINICTXB */
+}
+
+/*
+ *  ã¹ã±ã¸ã¥ã¼ãªã³ã°ã®ããã®ãã¼ã¿æ§é ã®æ¤æ»
+ */
+#ifndef PRIMAP_BIT
+#define	PRIMAP_BIT(pri)		(1U << (pri))
+#endif /* PRIMAP_BIT */
+
+Inline bool_t
+primap_empty(void)
+{
+#ifndef PRIMAP_LEVEL_2
+	return(ready_primap == 0U);
+#else /* PRIMAP_LEVEL_2 */
+	return(ready_primap1 == 0U);
+#endif /* PRIMAP_LEVEL_2 */
+}
+
+Inline uint16_t
+primap_extract_bit(uint_t pri)
+{
+#ifndef PRIMAP_LEVEL_2
+	return(ready_primap & PRIMAP_BIT(pri));
+#else /* PRIMAP_LEVEL_2 */
+	return(ready_primap2[pri / TBIT_PRIMAP] & PRIMAP_BIT(pri % TBIT_PRIMAP));
+#endif /* PRIMAP_LEVEL_2 */
+}
+
+static ER
+bit_schedcb(void)
+{
+	uint_t	pri;
+	QUEUE	*p_queue;
+	TCB		*p_tcb;
+
+	/*
+	 *  dspflgã¨p_schedtskã®æ´åæ§ã®æ¤æ»
+	 */
+	if (dspflg) {
+		if (primap_empty()) {
+			if (p_schedtsk != NULL) {
+				return(E_SYS_LINENO);
+			}
+		}
+		else {
+			if (p_schedtsk != search_schedtsk()) {
+				return(E_SYS_LINENO);
+			}
+		}
+	}
+
+#ifdef PRIMAP_LEVEL_2
+	/*
+	 *  ready_primap1ã¨ready_primap2ã®æ´åæ§ã®æ¤æ»
+	 */
+	for (pri = 0; pri < TNUM_TPRI; pri += TBIT_PRIMAP) {
+		if (ready_primap2[pri / TBIT_PRIMAP] == 0U) {
+			if ((ready_primap1 & PRIMAP_BIT(pri / TBIT_PRIMAP)) != 0U) {
+				return(E_SYS_LINENO);
+			}
+		}
+		else {
+			if ((ready_primap1 & PRIMAP_BIT(pri / TBIT_PRIMAP)) == 0U) {
+				return(E_SYS_LINENO);
+			}
+		}
+	}
+#endif /* PRIMAP_LEVEL_2 */
+
+	/*
+	 *  ready_queueã¨ready_primapã®æ´åæ§ã®æ¤æ»
+	 */
+	for (pri = 0; pri < TNUM_TPRI; pri++) {
+		p_queue = ready_queue[pri].p_next;
+		if (p_queue == &ready_queue[pri]) {
+			if (primap_extract_bit(pri) != 0U) {
+				return(E_SYS_LINENO);
+			}
+		}
+		else {
+			if (primap_extract_bit(pri) == 0U) {
+				return(E_SYS_LINENO);
+			}
+		}
+		while (p_queue != &ready_queue[pri]) {
+			p_tcb = (TCB *) p_queue;
+			if (!VALID_TCB(p_tcb)) {
+				return(E_SYS_LINENO);
+			}
+			if (!TSTAT_RUNNABLE(p_tcb->tstat)) {
+				return(E_SYS_LINENO);
+			}
+			if (p_tcb->priority != pri) {
+				return(E_SYS_LINENO);
+			}
+			p_queue = p_queue->p_next;
+		}
+	}
+	return(E_OK);
 }
 
@@ -162,17 +271,17 @@
 bit_task(ID tskid)
 {
-	TCB			*p_tcb;
-	const TINIB	*p_tinib;
-	uint_t		tstat, pri;
-	TMEVTB		*p_tmevtb;
-	SEMCB		*p_semcb;
-	FLGCB		*p_flgcb;
-	DTQCB		*p_dtqcb;
-	PDQCB		*p_pdqcb;
-	MTXCB		*p_mtxcb;
-	MBFCB		*p_mbfcb;
-	MPFCB		*p_mpfcb;
-
-	if (!(TMIN_TSKID <= (tskid) && (tskid) <= tmax_tskid)) {
+	TCB				*p_tcb;
+	const TINIB		*p_tinib;
+	uint_t			tstat, bpri, pri;
+	TMEVTB			*p_tmevtb;
+	SEMCB			*p_semcb;
+	FLGCB			*p_flgcb;
+	DTQCB			*p_dtqcb;
+	PDQCB			*p_pdqcb;
+	MTXCB			*p_mtxcb;
+	MBFCB			*p_mbfcb;
+	MPFCB			*p_mpfcb;
+
+	if (!VALID_TSKID(tskid)) {
 		return(E_ID);
 	}
@@ -180,8 +289,9 @@
 	p_tinib = p_tcb->p_tinib;
 	tstat = p_tcb->tstat;
+	bpri = p_tcb->bpriority;
 	pri = p_tcb->priority;
 
 	/*
-	 *  åæåãã­ãã¯ã¸ã®ãã¤ã³ã¿ã®æ¤æ»
+	 *  ã¿ã¹ã¯åæåãã­ãã¯ã¸ã®ãã¤ã³ã¿ã®æ¤æ»
 	 */
 	if (p_tinib != &(tinib_table[INDEX_TSK(tskid)])) {
@@ -214,15 +324,16 @@
 
 	/*
-	 *  actqueã®æ¤æ»
-	 */
-	if (TSTAT_DORMANT(tstat) && p_tcb->actque) {
+	 *  ãã¼ã¹åªå
+åº¦ã®æ¤æ»
+	 */
+	if (bpri >= TNUM_TPRI) {
 		return(E_SYS_LINENO);
 	}
 
 	/*
-	 *  ã¿ã¹ã¯åªå
+	 *  ç¾å¨ã®åªå
 åº¦ã®æ¤æ»
 	 */
-	if (pri >= TNUM_TPRI) {
+	if (pri > bpri) {
 		return(E_SYS_LINENO);
 	}
@@ -241,8 +352,11 @@
 	 */
 	if (TSTAT_DORMANT(tstat)) {
-		if (!(pri == p_tinib->ipriority)
-					&& (p_tcb->wupque == false)
-					&& (p_tcb->raster == false)
-					&& (p_tcb->enater == true)) {
+		if (!(bpri == p_tinib->ipriority
+			  		&& pri == p_tinib->ipriority
+					&& p_tcb->actque == false
+					&& p_tcb->wupque == false
+					&& p_tcb->raster == false
+					&& p_tcb->enater == true
+					&& p_tcb->p_lastmtx == NULL)) {
 			return(E_SYS_LINENO);
 		}
@@ -394,4 +508,13 @@
 			return(E_SYS_LINENO);
 			break;
+		}
+	}
+
+	/*
+	 *  p_lastmtxã®æ¤æ»
+	 */
+	if (p_tcb->p_lastmtx != NULL) {
+		if (!VALID_MTXCB(p_tcb->p_lastmtx)) {
+			return(E_SYS_LINENO);
 		}
 	}
@@ -424,9 +547,9 @@
 	SEMCB			*p_semcb;
 	const SEMINIB	*p_seminib;
-	uint_t			semcnt;
+	uint_t			semcnt, pri;
 	QUEUE			*p_queue;
 	TCB				*p_tcb;
 
-	if (!(TMIN_SEMID <= (semid) && (semid) <= tmax_semid)) {
+	if (!VALID_SEMID(semid)) {
 		return(E_ID);
 	}
@@ -436,5 +559,5 @@
 
 	/*
-	 *  åæåãã­ãã¯ã¸ã®ãã¤ã³ã¿ã®æ¤æ»
+	 *  ã»ããã©åæåãã­ãã¯ã¸ã®ãã¤ã³ã¿ã®æ¤æ»
 	 */
 	if (p_seminib != &(seminib_table[INDEX_SEM(semid)])) {
@@ -454,16 +577,33 @@
 	if (semcnt == 0) {
 		p_queue = p_semcb->wait_queue.p_next;
+		pri = TMIN_TPRI;
 		while (p_queue != &(p_semcb->wait_queue)) {
 			p_tcb = (TCB *) p_queue;
+			if (!VALID_TCB(p_tcb)) {
+				return(E_SYS_LINENO);
+			}
+
+			/*
+			 *  ã­ã¥ã¼ãã¿ã¹ã¯åªå
+åº¦é ã«ãªã£ã¦ãããã®æ¤æ»
+			 */
+			if ((p_seminib->sematr & TA_TPRI) != 0U) {
+				if (p_tcb->priority < pri) {
+					return(E_SYS_LINENO);
+				}
+			}
+			pri = p_tcb->priority;
+
+			/*
+			 *  ã¿ã¹ã¯ç¶æ
+ã®æ¤æ»
+			 */
+			if (p_tcb->tstat != TS_WAITING_SEM) {
+				return(E_SYS_LINENO);
+			}
+			if (p_semcb != ((WINFO_SEM *)(p_tcb->p_winfo))->p_semcb) {
+				return(E_SYS_LINENO);
+			}
 			p_queue = p_queue->p_next;
-			if (!VALID_TCB(p_tcb)) {
-				return(E_SYS_LINENO);
-			}
-			if (p_tcb->tstat != TS_WAITING_SEM) {
-				return(E_SYS_LINENO);
-			}
-			if (p_semcb != ((WINFO_SEM *)(p_tcb->p_winfo))->p_semcb) {
-				return(E_SYS_LINENO);
-			}
 		}
 	}
@@ -485,4 +625,12 @@
 	ID		semid;
 	ER		ercd;
+
+	/*
+	 *  ã¹ã±ã¸ã¥ã¼ãªã³ã°ã®ããã®ãã¼ã¿æ§é ã®æ¤æ»
+	 */
+	ercd = bit_schedcb();
+	if (ercd != E_OK) {
+		return(ercd);
+	}
 
 	/*
Index: asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.c
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_messagebuf1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_messagebuf1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -178,5 +178,5 @@
  *		assert(strncmp(buf1, string3, 11) == 0)
  *		snd_mbf(MBF1, string1, 16)		... (A-3)(C-3)ï¼ä½¿ç¨ï¼16ã27,0ã7
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2ï¼ç¶ãï¼==
  *	15:	slp_tsk()
@@ -185,5 +185,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	17:	wup_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2ï¼ç¶ãï¼==
  *	18:	snd_mbf(MBF1, string3, 4)		... (A-4)
@@ -285,5 +285,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -292,5 +292,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.cfg
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.cfg	(revision 306)
@@ -2,10 +2,7 @@
  *		ã¡ãã»ã¼ã¸ãããã¡ã®ãã¹ã(1)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
  *
- *  $Id: test_messagebuf1.cfg 263 2014-10-05 13:30:34Z ertl-hiro $
+ *  $Id: test_messagebuf1.cfg 572 2016-02-01 14:40:09Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_messagebuf1.h"
Index: asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.h
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_messagebuf1.h 2 2014-01-11 03:50:35Z ertl-hiro $
+ *  $Id: test_messagebuf1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -80,4 +80,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.c
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_messagebuf2.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_messagebuf2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -132,5 +132,5 @@
  *	1:	act_tsk(TASK2)
  *		act_tsk(TASK3)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-1ï¼åªå
 åº¦ï¼ä¸­ï¼1åã ==
@@ -141,10 +141,10 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	4:	ter_tsk(TASK2)									... (A-1)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_PROC) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	5:	rcv_mbf(MBF1, buf1) -> 26
  *		assert(strncmp(buf1, string2, 26) == 0)
  *		act_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-2ï¼åªå
 åº¦ï¼ä¸­ï¼2åã ==
@@ -172,5 +172,5 @@
  *		assert(strncmp(buf1, string3, 10) == 0)
  *		act_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼åªå
 åº¦ï¼ä¸­ï¼4åã ==
@@ -180,5 +180,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	18:	rel_wai(TASK2)									... (B-1)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	19:	slp_tsk()
@@ -187,5 +187,5 @@
  *		assert(strncmp(buf1, string2, 26) == 0)
  *		wup_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	21:	snd_mbf(MBF1, string1, 26) -> E_RLWAI
@@ -212,5 +212,5 @@
  *	31:	rcv_mbf(MBF1, buf1) -> 10
  *		assert(strncmp(buf1, string3, 10) == 0)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	32:	snd_mbf(MBF1, string1, 26) -> E_RLWAI
@@ -218,5 +218,5 @@
  *	33:	snd_mbf(MBF1, string2, 26)
  *	== TASK1ï¼ç¶ãï¼==
- *	34:	sta_alm(ALM1, 1000U)
+ *	34:	sta_alm(ALM1, TEST_TIME_PROC) ...  ALM1-1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-1 ==
@@ -225,5 +225,5 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	36:	tslp_tsk(1000U) -> E_TMOUT
+ *	36:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	37:	slp_tsk()
@@ -232,5 +232,5 @@
  *		assert(strncmp(buf1, string2, 26) == 0)
  *		wup_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	39:	snd_mbf(MBF1, string1, 26) -> E_RLWAI
@@ -238,5 +238,5 @@
  *	40:	snd_mbf(MBF1, string3, 10)
  *	== TASK1ï¼ç¶ãï¼==
- *	41:	sta_alm(ALM1, 1000U)
+ *	41:	sta_alm(ALM1, TEST_TIME_PROC) ...  ALM1-2ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-2 ==
@@ -256,5 +256,5 @@
  *	48:	snd_mbf(MBF1, string3, 10)
  *	== TASK3ï¼ç¶ãï¼==
- *	49:	sta_alm(ALM1, 1000U)
+ *	49:	sta_alm(ALM1, TEST_TIME_PROC) ...  ALM1-3ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-3 ==
@@ -267,13 +267,15 @@
  *		slp_tsk()
  *	== TASK2-4ï¼ç¶ãï¼==
-  *	52:	tsnd_mbf(MBF1, string1, 26, 1000U) -> E_TMOUT	... (D-1)
+ *	52:	tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *											... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	53:	snd_mbf(MBF1, string2, 26)
  *	== TASK2-4ï¼ç¶ãï¼==
- *	54:	tslp_tsk(1000U) -> E_TMOUT
+ *	54:	tslp_tsk(2 * TEST_TIME_PROC) -> E_TMOUT ... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	55:	rcv_mbf(MBF1, buf1) -> 26
  *		assert(strncmp(buf1, string2, 26) == 0)
- *	56:	tsnd_mbf(MBF1, string1, 26, 1000U) -> E_TMOUT	... (D-2)
+ *	56:	tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP) -> E_TMOUT	... (D-2)
+ *											... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	57:	snd_mbf(MBF1, string3, 10)
@@ -285,5 +287,6 @@
  *	60:	wup_tsk(TASK2)
  *	== TASK2-4ï¼ç¶ãï¼==
- *	61:	tsnd_mbf(MBF1, string1, 26, 1000U) -> E_TMOUT	... (D-3)
+ *	61:	tsnd_mbf(MBF1, string1, 26, 4 * TEST_TIME_CP) -> E_TMOUT	... (D-3)
+ *											... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	62:	wup_tsk(TASK1)
@@ -377,5 +380,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -384,5 +387,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_PROC);
 	check_ercd(ercd, E_TMOUT);
 
@@ -396,5 +399,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -419,5 +422,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -426,5 +429,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -438,5 +441,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -458,9 +461,9 @@
 	check_assert(strncmp(buf1, string3, 10) == 0);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(34);
-	ercd = sta_alm(ALM1, 1000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -469,5 +472,5 @@
 
 	check_point(36);
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -481,9 +484,9 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(41);
-	ercd = sta_alm(ALM1, 1000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -594,9 +597,9 @@
 
 		check_point(52);
-		ercd = tsnd_mbf(MBF1, string1, 26, 1000U);
+		ercd = tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
 		check_point(54);
-		ercd = tslp_tsk(1000U);
+		ercd = tslp_tsk(TEST_TIME_PROC);
 		check_ercd(ercd, E_TMOUT);
 
@@ -608,5 +611,5 @@
 
 		check_point(56);
-		ercd = tsnd_mbf(MBF1, string1, 26, 1000U);
+		ercd = tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
@@ -616,5 +619,5 @@
 
 		check_point(61);
-		ercd = tsnd_mbf(MBF1, string1, 26, 1000U);
+		ercd = tsnd_mbf(MBF1, string1, 26, 4 * TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
@@ -708,5 +711,5 @@
 
 	check_point(49);
-	ercd = sta_alm(ALM1, 1000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.cfg
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.cfg	(revision 306)
@@ -2,10 +2,7 @@
  *		ã¡ãã»ã¼ã¸ãããã¡ã®ãã¹ã(2)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
  *
- *  $Id: test_messagebuf2.cfg 327 2015-06-21 06:42:01Z ertl-hiro $
+ *  $Id: test_messagebuf2.cfg 572 2016-02-01 14:40:09Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_messagebuf2.h"
